<?php
/*

  Plugin Name: Social Mobile Press

  Plugin URI: http://socialmobilepress.com

  Description: Create and Launch Promotional Facebook and Mobile Apps.

  Version: 1.4.2

  Author: SMP

  Author URI: http://socialmobilepress.com

 */
$cookiefile = '/tmp/curl-session';
include_once "function.php";
error_reporting(0);
define('FBAPP_PLUGIN_BOOTSTRAP', __FILE__);
define('FBAPP_PLUGIN_DIR', dirname(FBAPP_PLUGIN_BOOTSTRAP));

define('FBAPP_PLUGIN_URI', plugin_dir_url(FBAPP_PLUGIN_BOOTSTRAP));
add_action('admin_enqueue_scripts', 'mw_enqueue_color_picker');
if (!function_exists('wp_get_current_user')) {

    include_once(ABSPATH . 'wp-includes/pluggable.php');
}

function mw_enqueue_color_picker($hook_suffix) {
    // first check that $hook_suffix is appropriate for your admin page
    wp_enqueue_style('wp-color-picker');
    wp_enqueue_script('my-script-handle', plugins_url('js/colorpic.js', __FILE__), array('wp-color-picker'), false, true);
}

session_start();

register_activation_hook(__FILE__, 'mq_create_db_fbApp_export');

register_activation_hook(__FILE__, 'mq_create_db_fbApp');

register_activation_hook(__FILE__, 'mq_create_db_fbApp_update');

register_activation_hook(__FILE__, 'mq_create_db_fbApp_info');

function mq_create_db_fbApp() {

    global $wpdb;

    $table_name = $wpdb->prefix . "fb_app";







    $sql = "CREATE TABLE $table_name ( id bigint(9) NOT NULL AUTO_INCREMENT PRIMARY KEY, fb_app_name VARCHAR(128), 
    	fan_gate_off bigint(2), 
    	fan_gate_image_file VARCHAR(255), 
    	edit_page Text, 
    	fan_gate_input_url VARCHAR(255), 
    	fan_gate_tab_height VARCHAR(16), 
    	fan_gate_scrollbar bigint(2), 
    	media_image_file VARCHAR(255), 
    	media_input_url VARCHAR(255), 
    	media_tab_height VARCHAR(16), 
    	media_scrollbar bigint(2), 
    	edit_page2 Text, 
    	form_title VARCHAR(128), 
    	form_text VARCHAR(300),
    	form_code Text, 
    	form_name_field_text VARCHAR(30),
    	form_email_field_text VARCHAR(30),
    	form_button_label VARCHAR(30),
    	fbApp_optin_code Text, 
    	buttontype VARCHAR(32), 
    	edit_page3 Text, 
    	thank_title VARCHAR(100),
       
    	thank_you_image_file VARCHAR(255), 
    	thank_you_image_link VARCHAR(255),
    	thank_you_textarea Text, 
    	thank_you_button VARCHAR(64),
    	thank_you_label VARCHAR(128),
    	thank_you_url VARCHAR(255),
    	thank_you_input_url VARCHAR(255),
    	thank_you_tab_height VARCHAR(16),
    	thank_you_scrollbar bigint(2),
    	edit_page4 Text, 
    	share_fb VARCHAR(64), 
    	share_title VARCHAR(64), 
        share_caption VARCHAR(100),
    	magic_url VARCHAR(255),
    	canvas_url VARCHAR(255), 
    	share_text Text, 
    	share_button_text VARCHAR(128),
    	share_button_image VARCHAR(255), 
    	share_fb_automatic bigint(2), 
    	reset_all VARCHAR(16), 
    	publish_secret_key VARCHAR(255), publish_app_id VARCHAR(128), publish_url VARCHAR(255), publish_radio_btn bigint(2), publish_title VARCHAR(128),  publish_text Text, 
    	publish_button_text VARCHAR(128), mobile_loading_logo_image_file VARCHAR(255),  mobile_logo_image_file VARCHAR(255), mobile_info_image_file VARCHAR(255), mobile_enter_image_file VARCHAR(255), mobile_share_image_file VARCHAR(255), mobile_info_title VARCHAR(64), mobile_info_sub_title VARCHAR(128), mobile_info_description Text, mobile_enter_title VARCHAR(64), mobile_enter_sub_title VARCHAR(128),mobile_share_title VARCHAR(64), mobile_share_sub_title VARCHAR(128),
    	mobile_share_text Text,
    	 cur_timestamp TIMESTAMP,
    		app_type VARCHAR(255)
    	);";



    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');



    dbDelta($sql);
    $table_name = $wpdb->prefix . "fb_app_key_stat";


    $query = "ALTER TABLE " . $$table_name . "ADD COLUMN `share_caption` varchar(100) NOT NULL AFTER 'share_title'";
    $wpdb->query($query);




    $sql = "CREATE TABLE $table_name (app_key varchar(100),status bigint(2))";
    dbDelta($sql);
}

function mq_create_db_fbApp_export() {
    global $wpdb;
    $table_name = $wpdb->prefix . "fb_app_export";
    $sql = "CREATE TABLE IF NOT EXISTS $table_name (
  			id bigint(9) NOT NULL,
  			name varchar(20) COLLATE utf8_unicode_ci NOT NULL,
			email varchar(40) COLLATE utf8_unicode_ci NOT NULL,
			ip varchar(20) COLLATE utf8_unicode_ci NOT NULL
		) ";
    $wpdb->query($sql);
}

function mq_create_db_fbApp_update() {

    global $wpdb;

    $table_name = $wpdb->prefix . "fb_app";

    $sql = "ALTER TABLE $table_name ADD (app_type VARCHAR(255));";

    $wpdb->query($sql);

    $sql = "ALTER TABLE $table_name ADD (mobile_more_button_link Text);";

    $wpdb->query($sql);
}

function mq_create_db_fbApp_info() {

    global $wpdb;

    $table_name = $wpdb->prefix . "fb_app_info";



    $sql = "CREATE TABLE $table_name (id bigint(9) NOT NULL AUTO_INCREMENT PRIMARY KEY, oauth VARCHAR(500));";



    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');



    dbDelta($sql);

    $table_name = $wpdb->prefix . "fb_app_theme";



    $sql = "CREATE TABLE $table_name (id bigint(9) NOT NULL AUTO_INCREMENT,
  fbappid bigint(9) DEFAULT NULL,
  buttontheme varchar(255),
  radiotheme varchar(255),
  checkboxtheme varchar(255),
  PRIMARY KEY (id));";



    // require_once(ABSPATH . 'wp-admin/includes/upgrade.php');



    dbDelta($sql);
}

//extract_input_fields

function extract_input_fields_fbApp($embed_code) {

    preg_match_all("#<input.*?.*?>#", $embed_code, $matches);

    $form = array();

    $count = 0;

    $trim_char_list = '\',",<,>';

    foreach ($matches[0] as $inputs) {

        $tmp = explode(" ", $inputs);

        foreach ($tmp as $key => $value) {

            $pos = strpos($value, 'name');

            if ($pos === false) {

                $pos2 = strpos($value, 'value');

                if ($pos2 !== false) {

                    $val2 = explode("=", $value);

                    $form[$count][$val2[0]] = trim($val2[1], $trim_char_list);
                }



                $pos2 = strpos($value, 'type');

                if ($pos2 !== false) {

                    $val2 = explode("=", $value);

                    $form[$count][$val2[0]] = trim($val2[1], $trim_char_list);
                }
            } else {



                $val = explode("=", $value);

                $form[$count][$val[0]] = trim($val[1], $trim_char_list);
            }
        }

        $count++;
    }



    if (strlen($embed_code) > 0) {

        $html = new DOMDocument();

        $html->loadHTML($embed_code);

        $els = $html->getelementsbytagname('form');

        $action = '';

        foreach ($els as $inp) {

            $action = $inp->getAttribute('action');
        }

        $form[$count] = array('name' => 'formaction', 'type' => 'action', 'value' => $action);
    } else {

        $form = '';
    }

    return $form;
}

//when submit

if (isset($_POST['submit'])) {

    // var_dump($_POST);

    global $wpdb, $contents, $msg;

    $table_name = $wpdb->prefix . "fb_app";

    $upload_dir = wp_upload_dir();

    $target = $upload_dir['basedir'] . "/";

    $url = $upload_dir['baseurl'] . "/";

    $allowedExts = array("jpg", "jpeg", "gif", "png");

    $extension = end(explode(".", $_FILES["fan_gate_image_file"]["name"]));

    $extension1 = end(explode(".", $_FILES["media_image_file"]["name"]));

    $extension2 = end(explode(".", $_FILES["thank_you_image_file"]["name"]));

    $extension3 = end(explode(".", $_FILES["share_button_image"]["name"]));

    $extension4 = end(explode(".", $_FILES["mobile_logo_image_file"]["name"]));

    $extension5 = end(explode(".", $_FILES["mobile_info_image_file"]["name"]));

    $extension6 = end(explode(".", $_FILES["mobile_enter_image_file"]["name"]));

    $extension7 = end(explode(".", $_FILES["mobile_share_image_file"]["name"]));

    $extension8 = end(explode(".", $_FILES["mobile_loading_logo_image_file"]["name"]));



    if ((($_FILES["fan_gate_image_file"]["type"] == "image/gif") || ($_FILES["fan_gate_image_file"]["type"] == "image/jpeg") || ($_FILES["fan_gate_image_file"]["type"] == "image/png") || ($_FILES["fan_gate_image_file"]["type"] == "image/pjpeg")) && ((($_FILES["fan_gate_image_file"]["size"] / 1024) / 1024) < 1) && in_array($extension, $allowedExts)) {

        if ($_FILES["fan_gate_image_file"]["error"] > 0) {

            echo "Return Code: " . $_FILES["fan_gate_image_file"]["error"] . "<br>";
        } else {

            move_uploaded_file($_FILES["fan_gate_image_file"]["tmp_name"], $target . $_FILES["fan_gate_image_file"]["name"]);
        }
    }



    if ((($_FILES["media_image_file"]["type"] == "image/gif") || ($_FILES["media_image_file"]["type"] == "image/jpeg") || ($_FILES["media_image_file"]["type"] == "image/png") || ($_FILES["media_image_file"]["type"] == "image/pjpeg")) && ((($_FILES["media_image_file"]["size"] / 1024) / 1024) < 1) && in_array($extension1, $allowedExts)) {

        if ($_FILES["media_image_file"]["error"] > 0) {

            echo "Return Code: " . $_FILES["media_image_file"]["error"] . "<br>";
        } else {

            move_uploaded_file($_FILES["media_image_file"]["tmp_name"], $target . $_FILES["media_image_file"]["name"]);
        }
    }



    if ((($_FILES["thank_you_image_file"]["type"] == "image/gif") || ($_FILES["thank_you_image_file"]["type"] == "image/jpeg") || ($_FILES["thank_you_image_file"]["type"] == "image/png") || ($_FILES["thank_you_image_file"]["type"] == "image/pjpeg")) && ((($_FILES["thank_you_image_file"]["size"] / 1024) / 1024) < 1) && in_array($extension2, $allowedExts)) {

        if ($_FILES["thank_you_image_file"]["error"] > 0) {

            echo "Return Code: " . $_FILES["thank_you_image_file"]["error"] . "<br>";
        } else {

            move_uploaded_file($_FILES["thank_you_image_file"]["tmp_name"], $target . $_FILES["thank_you_image_file"]["name"]);
        }
    }



    if ((($_FILES["share_button_image"]["type"] == "image/gif") || ($_FILES["share_button_image"]["type"] == "image/jpeg") || ($_FILES["share_button_image"]["type"] == "image/png") || ($_FILES["share_button_image"]["type"] == "image/pjpeg")) && ((($_FILES["share_button_image"]["size"] / 1024) / 1024) < 1) && in_array($extension3, $allowedExts)) {

        if ($_FILES["share_button_image"]["error"] > 0) {

            echo "Return Code: " . $_FILES["share_button_image"]["error"] . "<br>";
        } else {
            if (!function_exists('wp_handle_upload'))
                require_once( ABSPATH . 'wp-admin/includes/file.php' );
            $uploadedfile = $_FILES['share_button_image'];
            $upload_overrides = array('test_form' => false);
            $movefile = wp_handle_upload($uploadedfile, $upload_overrides);
            if ($movefile) {
                //echo "File is valid, and was successfully uploaded.\n";
                $filename = $movefile['file'];
                $file_url = $movefile['url'];
                $file_type = $movefile['type'];
                //print_r($movefile);

                $attachment = array(
                    'guid' => $file_url,
                    'post_mime_type' => $file_type,
                    'post_title' => preg_replace('/\.[^.]+$/', '', basename($filename)),
                    'post_content' => '',
                    'post_status' => 'inherit'
                );
                $attach_id = wp_insert_attachment($attachment, $filename);

                // you must first include the image.php file
                // for the function wp_generate_attachment_metadata() to work
                require_once(ABSPATH . 'wp-admin/includes/image.php');





                //  add_image_size( 'dm_android_app', 16, 16, true );
                //  add_image_size( 'dm_android_app1', 24, 24, true );
                add_image_size('share_button_resize', 400, 400, true);

                //set_post_thumbnail_size( 12, 12, true );
                $attach_data = wp_generate_attachment_metadata($attach_id, $filename);
                //var_dump($attach_data);
                wp_update_attachment_metadata($attach_id, $attach_data);

                $share_button_image = wp_get_attachment_image_src($attach_id, 'share_button_resize');
                $share_button_image = $share_button_image[0];
            }
        }
    }



    if ((($_FILES["mobile_logo_image_file"]["type"] == "image/gif") || ($_FILES["mobile_logo_image_file"]["type"] == "image/jpeg") || ($_FILES["mobile_logo_image_file"]["type"] == "image/png") || ($_FILES["mobile_logo_image_file"]["type"] == "image/pjpeg")) && ((($_FILES["mobile_logo_image_file"]["size"] / 1024) / 1024) < 1) && in_array($extension4, $allowedExts)) {

        if ($_FILES["mobile_logo_image_file"]["error"] > 0) {

            echo "Return Code: " . $_FILES["mobile_logo_image_file"]["error"] . "<br>";
        } else {

            move_uploaded_file($_FILES["mobile_logo_image_file"]["tmp_name"], $target . $_FILES["mobile_logo_image_file"]["name"]);
        }
    }



    if ((($_FILES["mobile_info_image_file"]["type"] == "image/gif") || ($_FILES["mobile_info_image_file"]["type"] == "image/jpeg") || ($_FILES["mobile_info_image_file"]["type"] == "image/png") || ($_FILES["mobile_info_image_file"]["type"] == "image/pjpeg")) && ((($_FILES["mobile_info_image_file"]["size"] / 1024) / 1024) < 1) && in_array($extension5, $allowedExts)) {

        if ($_FILES["mobile_info_image_file"]["error"] > 0) {

            echo "Return Code: " . $_FILES["mobile_info_image_file"]["error"] . "<br>";
        } else {

            move_uploaded_file($_FILES["mobile_info_image_file"]["tmp_name"], $target . $_FILES["mobile_info_image_file"]["name"]);
        }
    }



    if ((($_FILES["mobile_enter_image_file"]["type"] == "image/gif") || ($_FILES["mobile_enter_image_file"]["type"] == "image/jpeg") || ($_FILES["mobile_enter_image_file"]["type"] == "image/png") || ($_FILES["mobile_enter_image_file"]["type"] == "image/pjpeg")) && ((($_FILES["mobile_enter_image_file"]["size"] / 1024) / 1024) < 1) && in_array($extension6, $allowedExts)) {

        if ($_FILES["mobile_enter_image_file"]["error"] > 0) {

            echo "Return Code: " . $_FILES["mobile_enter_image_file"]["error"] . "<br>";
        } else {

            move_uploaded_file($_FILES["mobile_enter_image_file"]["tmp_name"], $target . $_FILES["mobile_enter_image_file"]["name"]);
        }
    }



    if ((($_FILES["mobile_share_image_file"]["type"] == "image/gif") || ($_FILES["mobile_share_image_file"]["type"] == "image/jpeg") || ($_FILES["mobile_share_image_file"]["type"] == "image/png") || ($_FILES["mobile_share_image_file"]["type"] == "image/pjpeg")) && ((($_FILES["mobile_share_image_file"]["size"] / 1024) / 1024) < 1) && in_array($extension7, $allowedExts)) {

        if ($_FILES["mobile_share_image_file"]["error"] > 0) {

            echo "Return Code: " . $_FILES["mobile_share_image_file"]["error"] . "<br>";
        } else {

            move_uploaded_file($_FILES["mobile_share_image_file"]["tmp_name"], $target . $_FILES["mobile_share_image_file"]["name"]);
        }
    }



    if ((($_FILES["mobile_loading_logo_image_file"]["type"] == "image/gif") || ($_FILES["mobile_loading_logo_image_file"]["type"] == "image/jpeg") || ($_FILES["mobile_loading_logo_image_file"]["type"] == "image/png") || ($_FILES["mobile_loading_logo_image_file"]["type"] == "image/pjpeg")) && ((($_FILES["mobile_loading_logo_image_file"]["size"] / 1024) / 1024) < 1) && in_array($extension8, $allowedExts)) {

        if ($_FILES["mobile_loading_logo_image_file"]["error"] > 0) {

            echo "Return Code: " . $_FILES["mobile_loading_logo_image_file"]["error"] . "<br>";
        } else {

            move_uploaded_file($_FILES["mobile_loading_logo_image_file"]["tmp_name"], $target . $_FILES["mobile_loading_logo_image_file"]["name"]);
        }
    }



    //insert data into table

    $table_name = $wpdb->prefix . "fb_app";



    $fb_app_name = $_POST['fb_app_name'];

    $fan_gate_off = $_POST["fan_gate_off"];

    $fan_gate_image_file = $_FILES["fan_gate_image_file"]["name"];

    $edit_page = $_POST['myeditor'];

    $fan_gate_input_url = $_POST['fan_gate_input_url'];

    $fan_gate_tab_height = $_POST['fan_gate_tab_height'];

    $fan_gate_scrollbar = $_POST['fan_gate_scrollbar'];

    $media_image_file = $_FILES["media_image_file"]["name"];

    if (empty($_POST['media_input_url'])) {
        $media_input_url = "";
    } else {
        $media_input_url = $_POST['media_input_url'];
    }

    $media_tab_height = $_POST['media_tab_height'];

    $media_scrollbar = $_POST['media_scrollbar'];

    $edit_page2 = $_POST['myeditor2'];

    $form_title = $_POST['form_title'];
    $form_text = $_POST['form_text'];

    $form_code = $_POST['form_code'];
    $form_name_field_text = $_POST['form_name_field_text'];
    $form_email_field_text = $_POST['form_email_field_text'];

    $form_button_label = $_POST['button_label'];

    $fbApp_optin_code = extract_input_fields_fbApp($_POST['form_code']);


    $fbApp_optin_code = serialize($fbApp_optin_code);

    $buttontype = $_POST['form_color_sel'];

    $edit_page3 = $_POST['myeditor3'];
    $thank_title = $_POST['title_thank_page'];
    $share_caption = $_POST['share_caption'];

    $thank_you_image_file = $_FILES["thank_you_image_file"]["name"];

    $thank_you_image_link = $_POST['thank_you_image_link'];

    $thank_you_textarea = $_POST['thank_you_textarea'];

    $thank_you_button = $_POST['thanks_form_color_sel'];

    $thank_you_label = $_POST['thank_you_label'];

    $thank_you_url = $_POST['thank_you_url'];

    $thank_you_input_url = $_POST['thank_you_input_url'];

    $thank_you_tab_height = $_POST['thank_you_tab_height'];

    $thank_you_scrollbar = $_POST['thank_you_scrollbar'];

    $edit_page4 = $_POST['myeditor4'];

    $share_fb = $_POST['share_fb'];
    $share_title = $_POST['thanks_form_share_title'];
    $magic_url = $_POST['magic_url'];
    $canvas_url = $_POST['canvas_url'];
    $share_text = $_POST['share_text'];
    $share_button_text = $_POST['share_button_text'];
    //print_r($share_button_image);
    $share_fb_automatic = $_POST['share_fb_automatic'];

    $reset_all = $_POST['reset_all'];

    $publish_radio_btn = $_POST['publish_radio_btn'];

    $publish_title = $_POST['publish_title'];

    $publish_text = $_POST['publish_text'];

    $publish_secret_key = $_POST['publish_secret_key'];

    $publish_app_id = $_POST['publish_app_id'];

    $publish_url = $_POST['publish_url'];

    $publish_button_text = $_POST['publish_button_text'];

    $cur_timestamp = $_POST['cur_timestamp'];

    $mobile_logo_image_file = $_FILES["mobile_logo_image_file"]["name"];

    $mobile_loading_logo_image_file = $_FILES["mobile_loading_logo_image_file"]["name"];

    $mobile_info_image_file = $_FILES["mobile_info_image_file"]["name"];

    $mobile_enter_image_file = $_FILES["mobile_enter_image_file"]["name"];

    $mobile_share_image_file = $_FILES["mobile_share_image_file"]["name"];

    $mobile_info_title = $_POST['mobile_info_title'];

    $mobile_info_sub_title = $_POST['mobile_info_sub_title'];

    $mobile_info_description = $_POST['mobile_info_description'];

    $mobile_enter_title = $_POST['mobile_enter_title'];

    $mobile_enter_sub_title = $_POST['mobile_enter_sub_title'];

    $mobile_share_title = $_POST['mobile_share_title'];
    $mobile_share_text = $_POST['mobile_share_text'];

    $mobile_share_sub_title = $_POST['mobile_share_sub_title'];

    $mobile_more_button_link = $_POST['mobile_more_button_link'];





    $update_data = array(
        'fan_gate_off' => $fan_gate_off,
        'fan_gate_image_file' => $fan_gate_image_file,
        'edit_page' => $edit_page,
        'mobile_more_button_link' => $mobile_more_button_link,
        'fan_gate_tab_height' => $fan_gate_tab_height,
        'fan_gate_scrollbar' => $fan_gate_scrollbar,
        'media_image_file' => $media_image_file,
        'media_tab_height' => $media_tab_height,
        'media_scrollbar' => $media_scrollbar,
        'edit_page2' => $edit_page2,
        'form_title' => $form_title,
        'form_text' => $form_text,
        'form_code' => $form_code,
        'form_name_field_text' => $form_name_field_text,
        'form_email_field_text' => $form_email_field_text,
        'form_button_label' => $form_button_label,
        'fbApp_optin_code' => $fbApp_optin_code,
        'buttontype' => $buttontype,
        'edit_page3' => $edit_page3,
        'thank_title' => $thank_title,
        'thank_you_image_file' => $thank_you_image_file,
        'thank_you_image_link' => $thank_you_image_link,
        'thank_you_textarea' => $thank_you_textarea,
        'thank_you_button' => $thank_you_button,
        'thank_you_label' => $thank_you_label,
        'thank_you_url' => $thank_you_url,
        'thank_you_tab_height' => $thank_you_tab_height,
        'thank_you_scrollbar' => $thank_you_scrollbar,
        'edit_page4' => $edit_page4,
        'share_fb' => $share_fb,
        'share_title' => $share_title,
        'share_caption' => $share_caption,
        'magic_url' => $magic_url,
        'canvas_url' => $canvas_url,
        'share_text' => $share_text,
        'share_button_text' => $share_button_text,
        'share_button_image' => $share_button_image,
        'share_fb_automatic' => $share_fb_automatic,
        'reset_all' => $reset_all,
        'publish_secret_key' => $publish_secret_key,
        'publish_app_id' => $publish_app_id,
        'publish_url' => $publish_url,
        'publish_radio_btn' => $publish_radio_btn,
        'publish_title' => $publish_title,
        'publish_text' => $publish_text,
        'publish_button_text' => $publish_button_text,
        'mobile_logo_image_file' => $mobile_logo_image_file,
        'mobile_loading_logo_image_file' => $mobile_loading_logo_image_file,
        'mobile_info_image_file' => $mobile_info_image_file,
        'mobile_enter_image_file' => $mobile_enter_image_file,
        'mobile_share_image_file' => $mobile_share_image_file,
        'mobile_info_title' => $mobile_info_title,
        'mobile_info_sub_title' => $mobile_info_sub_title,
        'mobile_info_description' => $mobile_info_description,
        'mobile_enter_title' => $mobile_enter_title,
        'mobile_enter_sub_title' => $mobile_enter_sub_title,
        'mobile_share_title' => $mobile_share_title,
        'mobile_share_sub_title' => $mobile_share_sub_title,
        'mobile_share_text' => $mobile_share_text
    );

    if (strlen($fb_app_name) > 0) {
        $update_data['fb_app_name'] = $fb_app_name;
    }



    // var_dump($update_data);

    foreach ($update_data as $key => $value) {

        if ($value == NULL)
            unset($update_data[$key]);
    }

//using there because of null value problem after unset the array for null field
    $update_data['fan_gate_input_url'] = $fan_gate_input_url;
    $update_data['media_input_url'] = $media_input_url;
    $update_data['thank_you_input_url'] = $thank_you_input_url;




    $result = $wpdb->update($table_name, $update_data, array('id' => $_GET['pid'])); // update



    updateappsecrets_fbApp($publish_secret_key, $publish_app_id);



    $msg = "Information Stored successfully.";
}



global $wpdb, $contents, $msg;

$table_name = $wpdb->prefix . "fb_app";



//add js/css file

add_action('init', 'add_js_css_file_fbApp');

function add_js_css_file_fbApp() {

    wp_enqueue_script('jquery', plugins_url('/js/jquery-1.9.1.js', __FILE__));

    wp_enqueue_script('jquery-ui', plugins_url('/js/jquery-ui.js', __FILE__));

    wp_enqueue_script('deafult', plugins_url('/js/default.js', __FILE__));

    wp_enqueue_style('style', plugins_url('/css/style.css', __FILE__));

    wp_enqueue_style('jquery-ui', plugins_url('/css/jquery-ui.css', __FILE__));

    wp_enqueue_style('fb-sdk', 'http://connect.facebook.net/en_US/all.js');
}

//function aq_resize($url, $width = null, $height = null, $crop = null, $single = true, $upscale = false)
//{
//
//// Validate inputs.
//    if (!$url || (!$width && !$height ))
//        return false;
//
//// Caipt'n, ready to hook.
//    if (true === $upscale)
//        add_filter('image_resize_dimensions', 'aq_upscale', 10, 6);
//
//// Define upload path & dir.
//    $upload_info = wp_upload_dir();
//    $upload_dir = $upload_info['basedir'];
//    $upload_url = $upload_info['baseurl'];
//
//    $http_prefix = "http://";
//    $https_prefix = "https://";
//
//    /* if the $url scheme differs from $upload_url scheme, make them match
//      if the schemes differe, images don't show up. */
//    if (!strncmp($url, $https_prefix, strlen($https_prefix)))
//    { //if url begins with https:// make $upload_url begin with https:// as well
//        $upload_url = str_replace($http_prefix, $https_prefix, $upload_url);
//    }
//    elseif (!strncmp($url, $http_prefix, strlen($http_prefix)))
//    { //if url begins with http:// make $upload_url begin with http:// as well
//        $upload_url = str_replace($https_prefix, $http_prefix, $upload_url);
//    }
//
//
//// Check if $img_url is local.
//    if (false === strpos($url, $upload_url))
//        return false;
//
//// Define path of image.
//    $rel_path = str_replace($upload_url, '', $url);
//    $img_path = $upload_dir . $rel_path;
//
//// Check if img path exists, and is an image indeed.
//    if (!file_exists($img_path) or !getimagesize($img_path))
//        return false;
//
//// Get image info.
//    $info = pathinfo($img_path);
//    $ext = $info['extension'];
//    list( $orig_w, $orig_h ) = getimagesize($img_path);
//
//// Get image size after cropping.
//    $dims = image_resize_dimensions($orig_w, $orig_h, $width, $height, $crop);
//    $dst_w = $dims[4];
//    $dst_h = $dims[5];
//
//// Return the original image only if it exactly fits the needed measures.
//    if (!$dims && ( ( ( null === $height && $orig_w == $width ) xor ( null === $width && $orig_h == $height ) ) xor ( $height == $orig_h && $width == $orig_w ) ))
//    {
//        $img_url = $url;
//        $dst_w = $orig_w;
//        $dst_h = $orig_h;
//    }
//    else
//    {
//// Use this to check if cropped image already exists, so we can return that instead.
//        $suffix = "{$dst_w}_{$dst_h}";
//        $dst_rel_path = str_replace('.' . $ext, '', $rel_path);
//        $destfilename = "{$upload_dir}{$dst_rel_path}-{$suffix}.{$ext}";
//
//        if (!$dims || ( true == $crop && false == $upscale && ( $dst_w < $width || $dst_h < $height ) ))
//        {
//// Can't resize, so return false saying that the action to do could not be processed as planned.
//            return false;
//        }
//// Else check if cache exists.
//        elseif (file_exists($destfilename) && getimagesize($destfilename))
//        {
//            $img_url = "{$upload_url}{$dst_rel_path}-{$suffix}.{$ext}";
//        }
//// Else, we resize the image and return the new resized image url.
//        else
//        {
//
//// Note: This pre-3.5 fallback check will edited out in subsequent version.
//            if (function_exists('wp_get_image_editor'))
//            {
//
//                $editor = wp_get_image_editor($img_path);
//
//                if (is_wp_error($editor) || is_wp_error($editor->resize($width, $height, $crop)))
//                    return false;
//
//                $resized_file = $editor->generate_filename('small');
//
//                $resized_file = $editor->save($resized_file);
//
//                if (!is_wp_error($resized_file))
//                {
//                    $resized_rel_path = str_replace($upload_dir, '', $resized_file['path']);
//                    $img_url = $upload_url . $resized_rel_path;
//                }
//                else
//                {
//                    return false;
//                }
//            }
//            else
//            {
//
//                $resized_img_path = image_resize($img_path, $width, $height, $crop); // Fallback foo.
//                if (!is_wp_error($resized_img_path))
//                {
//                    $resized_rel_path = str_replace($upload_dir, '', $resized_img_path);
//                    $img_url = $upload_url . $resized_rel_path;
//                }
//                else
//                {
//                    return false;
//                }
//            }
//        }
//    }
//
//// Okay, leave the ship.
//    if (true === $upscale)
//        remove_filter('image_resize_dimensions', 'aq_upscale');
//
//// Return the output.
//    if ($single)
//    {
//// str return.
//        $image = $img_url;
//    }
//    else
//    {
//// array return.
//        $image = array(
//            0 => $img_url,
//            1 => $dst_w,
//            2 => $dst_h
//        );
//    }
//
//    return $image;
//}

function aq_upscale($default, $orig_w, $orig_h, $dest_w, $dest_h, $crop) {
    if (!$crop)
        return null; // Let the wordpress default function handle this.


        
// Here is the point we allow to use larger image size than the original one.
    $aspect_ratio = $orig_w / $orig_h;
    $new_w = $dest_w;
    $new_h = $dest_h;

    if (!$new_w) {
        $new_w = intval($new_h * $aspect_ratio);
    }

    if (!$new_h) {
        $new_h = intval($new_w / $aspect_ratio);
    }

    $size_ratio = max($new_w / $orig_w, $new_h / $orig_h);

    $crop_w = round($new_w / $size_ratio);
    $crop_h = round($new_h / $size_ratio);

    $s_x = floor(( $orig_w - $crop_w ) / 2);
    $s_y = floor(( $orig_h - $crop_h ) / 2);

    return array(0, 0, (int) $s_x, (int) $s_y, (int) $new_w, (int) $new_h, (int) $crop_w, (int) $crop_h);
}

function updateappsecrets_fbApp($secretkey, $appid) {

    $pluginpath = dirname(__FILE__);

    $myFile = $pluginpath . "/secretkey.ini";

    $fh = fopen($myFile, 'w') or die("can't open file");

    $stringData = md5($secretkey) . "," . md5($appid);

    fwrite($fh, $stringData);

    fclose($fh);
}

//get editor

add_action('edit_page', 'my_first_editor_fbApp');

function my_first_editor_fbApp() {

    global $wpdb, $msg;

    $table_name = $wpdb->prefix . "fb_app";

    $row = $wpdb->get_row("SELECT edit_page FROM $table_name WHERE id = " . $_GET['pid']);

    wp_editor($row->edit_page, 'myeditor');
}

//get editor2

add_action('edit_page2', 'my_second_editor_fbApp');

function my_second_editor_fbApp() {

    global $wpdb, $msg;

    $table_name = $wpdb->prefix . "fb_app";

    $row = $wpdb->get_row("SELECT edit_page2 FROM $table_name WHERE id = " . $_GET['pid']);

    wp_editor($row->edit_page2, 'myeditor2');
}

//get editor3

add_action('edit_page3', 'my_third_editor_fbApp');

function my_third_editor_fbApp() {

    global $wpdb, $msg;

    $table_name = $wpdb->prefix . "fb_app";

    $row = $wpdb->get_row("SELECT edit_page3 FROM $table_name WHERE id = " . $_GET['pid']);

    wp_editor($row->edit_page3, 'myeditor3');
}

//get editor4

add_action('edit_page4', 'my_fourth_editor_fbApp');

function my_fourth_editor_fbApp() {

    global $wpdb, $msg;

    $table_name = $wpdb->prefix . "fb_app";

    $row = $wpdb->get_row("SELECT edit_page4 FROM $table_name WHERE id = " . $_GET['pid']);

    wp_editor($row->edit_page4, 'myeditor4');
}

//if user is admin

if (is_admin()) {

    /* Call the html code */

    add_action('admin_menu', 'fb_admin_menu_fbApp');

    function fb_admin_menu_fbApp() {

        add_action('admin_footer' . $plugin_page, 'myplugin_admin_footer_fbApp');
    }

}



if (!class_exists('WP_List_Table')) {

    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

class My_FBApp_List_Table extends WP_List_Table {

    var $data = array();

    function __construct() {

        global $status, $page;



        parent::__construct(array(
            'singular' => __('fbApp', 'mylisttable'), //singular name of the listed records
            'plural' => __('fbApps', 'mylisttable'), //plural name of the listed records
            'ajax' => false //does this table support ajax?
        ));



        add_action('admin_head', array(&$this, 'admin_header'));
    }

    function admin_header() {

        $page = ( isset($_GET['page']) ) ? esc_attr($_GET['page']) : false;

        if ('fb-app' != $page)
            return;

        echo '<style type="text/css">';

        echo '.wp-list-table .column-id { width: 5%; }';

        echo '.wp-list-table .column-title { width: 40%; }';

        echo '.wp-list-table .column-author { width: 35%; }';

        echo '.wp-list-table .column-date { width: 20%;}';

        echo '</style>';
    }

    function no_items() {

        _e('No results found, dude.');
    }

    function column_default($item, $column_name) {

        switch ($column_name) {

            case 'title':

            case 'author':

            case 'date':

                return $item[$column_name];

            default:

                return print_r($item, true); //Show the whole array for troubleshooting purposes
        }
    }

    function get_sortable_columns() {

        $sortable_columns = array(
            'title' => array('title', false),
            'author' => array('author', false),
            'date' => array('date', false)
        );

        return $sortable_columns;
    }

    function get_columns() {

        $columns = array(
            'cb' => '<input type="checkbox" />',
            'title' => __('Title', 'mylisttable'),
            'author' => __('Author', 'mylisttable'),
            'date' => __('Date Created', 'mylisttable')
        );

        return $columns;
    }

    function column_title($item) {

        $actions = array(
            'edit' => sprintf('<a href="?page=%s&action=%s&pid=%s">Edit</a>', $_REQUEST['page'], 'edit', $item['ID']),
            'delete' => sprintf('<a href="?page=%s&action=%s&delid=%s">Delete</a>', $_REQUEST['page'], 'delete', $item['ID']),
        );



        return sprintf('%1$s %2$s', $item['title'], $this->row_actions($actions));
    }

    function get_bulk_actions() {

        $actions = array(
            'delete' => 'Delete'
        );

        return $actions;
    }

    function process_bulk_action() {

        global $wpdb;

        //Detect when a bulk action is being triggered...

        if ('delete' === $this->current_action()) {

            global $wpdb;

            $wpdb->query(
                    $wpdb->prepare(
                            "

					DELETE FROM " . $wpdb->prefix . "fb_app

					 WHERE id = %d

					", $item['ID']
                    )
            );
        }
    }

    function column_cb($item) {

        return sprintf(
                        '<input type="checkbox" name="%1$s[]" value="%2$s" />',
                        /* $1%s */ $this->_args['singular'], //Let's simply repurpose the table's singular label ("movie")

                        /* $2%s */ $item['ID']                //The value of the checkbox should be the record's id
        );
    }

    function prepare_items() {

        $columns = $this->get_columns();

        $hidden = array();

        $sortable = $this->get_sortable_columns();

        $this->_column_headers = array($columns, $hidden, $sortable);

        $this->process_bulk_action();

        $this->getRecrod();

        // usort( $this->data, array( $this, 'usort_reorder' ) );

        $per_page = 5;

        $current_page = $this->get_pagenum();

        $total_items = count($this->data);



        // only ncessary because we have sample data

        $this->found_data = array_slice($this->data, ( ( $current_page - 1 ) * $per_page), $per_page);



        $this->set_pagination_args(array(
            'total_items' => $total_items, //WE have to calculate the total number of items
            'per_page' => $per_page //WE have to determine how many items to show on a page
        ));

        $this->items = $this->found_data;
    }

    function getRecrod() {

        global $wpdb;



        $query = "select * from " . $wpdb->prefix . "fb_app order by id desc";

        $result = $wpdb->get_results($query);



        $data = array();



        for ($i = 0; $i < count($result); $i++) {



            $data[] = array('ID' => $result[$i]->id, 'title' => $result[$i]->fb_app_name, 'author' => 'admin', 'date' => $result[$i]->cur_timestamp);
        }

        $this->data = $data;

        return $data;
    }

}

//class

function my_add_menu_items_fbApp() {
    global $wpdb;
    $table_name = $wpdb->prefix . "fb_app_key_stat";
    $stat_data = $wpdb->get_row("select * from $table_name");
    $hook = add_menu_page('Social Mobile Press', 'SMP', 'activate_plugins', 'fb-app', 'my_render_content_fbApp', FBAPP_PLUGIN_URI . 'images/favicon.png');
    add_action("load-$hook", 'add_options_fbApp');
}

function add_options_fbApp() {

    global $myListTable;

    $option = 'per_page';

    $args = array(
        'label' => 'FBApps',
        'default' => 10,
        'option' => 'show_per_page'
    );

    add_screen_option($option, $args);

    $myListTable = new My_FBApp_List_Table();
}

add_action('admin_menu', 'my_add_menu_items_fbApp');

function my_render_verify_fbApp() {
    ?>
    <style>
        #fb-app_verify_block{
            width:40%;
            margin:15% 30%;
            border: 1px solid #219ACD;
            background-color:rgba(0,151,239,0.7);
            border-radius:5px;
            box-shadow:2px 0px 5px;
        }
        #fb-app_verify_block form{
            width:100%;
            padding:20% 20%;

        }
        #fb-app_verify_block form label
        {
            font-family: 'Source Sans Pro',sans-serif;
            font-size: 20px;
            color: #ffffff;
            text-align: center;
            text-shadow: 1px 1px 2px #222222;
            font-weight: 600;
            letter-spacing: -.5px;
            padding: 0 20px;

        }
        #fb-app_verify_block form input[type='text']{
            width:60%;
            margin-bottom: 10px;
            margin-top: 15px;
            padding: 8px;
            box-shadow: inset 0px 1px 10px 0px rgba(0,0,0,0.3);
            text-align: center;
            border: 3px solid #9b9b9b;
            color: #777777;
            font-family: 'Source Sans Pro',sans-serif;
            font-size: 18px;
            height: 36px;
            box-shadow:2px 0px 5px;
        }
        #fb-app_verify_block form button[type='submit']
        {
            margin-top: 20px;
            position: relative;
            width: 60%;
            min-height: 37px;
            background: #D8D8D8;
            border: 1px solid rgba(0,0,0,0.1);
            color: #6B7FB2;
            font-family: 'Source Sans Pro',sans-serif;
            font-size: 27px;
            cursor: pointer;

            border-radius: 4px;
            box-shadow: inset 0px 1px 0px 0px rgba(250,250,250,0.7);
            padding: 7px 10px;
        }
        #fb-app_verify_block form button[type='submit']:hover
        {
            background: #86D3F6;
        }

    </style>
    <div class="wrap">
        <div id="fb-app_verify_block">
            <form method="post">
                <label>Enter Authorization Key</label>
                       <input type="text" name="auth_key" onfocus="if (this.value == 'Enter Your Key') {
                        this.value = ''
                    }" onblur="if (this.value == '') {
                    this.value = 'Enter Your Key'
                }" value="Enter Your Key"/>
                <button type="submit" name="verfy_key" value="clicked" class="button">Verify...</button> 
            </form>			
        </div>

    </div>

    <?php
}

//ajax

add_action('wp_ajax_my_action', 'my_action_callback_fbApp');

add_action('wp_ajax_nopriv_my_action', 'my_action_callback_fbApp');

//add js for tabs

function myplugin_admin_footer_fbApp() {

    global $wpdb, $table_name;

    $contents = $wpdb->get_results('select id from ' . $table_name);
    ?>

    <?php if (isset($_GET['pid']) && $_GET['pid'] > 0 && is_numeric($_GET['pid'])) {
        ?>

        <script type="text/javascript">

        jQuery(document).ready(function() {

        jQuery('#del').click(function() {

            var img = jQuery(this).parent().find("img");

            jQuery.ajax({
                type: 'POST',
                url: ajaxurl,
                data: {action: 'my_action', task: 'col1', pid:<?php echo $_GET['pid']; ?>},
                success: function() {

                    jQuery(img).remove();

                }

            });

        });

        jQuery('#del2').click(function() {

            var img = jQuery(this).parent().find("img");

            jQuery.ajax({
                type: 'POST',
                url: ajaxurl,
                data: {action: 'my_action', task: 'col2', pid:<?php echo $_GET['pid']; ?>},
                success: function() {

                    jQuery(img).remove();

                }

            });

        });

        jQuery('#del3').click(function() {

            var img = jQuery(this).parent().find("img");

            jQuery.ajax({
                type: 'POST',
                url: ajaxurl,
                data: {action: 'my_action', task: 'col3', pid:<?php echo $_GET['pid']; ?>},
                success: function() {

                    jQuery(img).remove();

                }

            });

        });

        });

        </script>

                       <?php } ?>

    <script type="text/javascript">

    var maintab = null;

    //jQuery for tabs

    jQuery(function() {

    maintab = jQuery("#tabs").tabs();

    jQuery("#tab-inner").tabs();

    jQuery("#tab-inner2").tabs();

    });

    jQuery(document).ready(function() {

    jQuery("#addnew").click(function() {

        jQuery(this).parents().find(".addnew").addClass("show");

        jQuery(this).parents().find(".addnew").removeClass("hide");

    });

    jQuery("#preview").click(function() {

        jQuery(this).parents().find("#right-preview-setting").addClass("show");

        jQuery(this).parents().find("#right-preview-setting").removeClass("hide");

        jQuery(this).parents().find("#form").addClass("hide");

        jQuery(this).parents().find("#form").removeClass("show");

        jQuery(this).addClass("active");

    });

    jQuery("#preview-fan-gate").click(function() {

        jQuery(this).parents().find(".preview-fan-gate").addClass("show");

        jQuery(this).parents().find(".preview-fan-gate").removeClass("hide");

        jQuery(this).parents().find(".preview-call-to-action").addClass("hide");

        jQuery(this).parents().find(".preview-call-to-action").removeClass("show");

        jQuery(this).parents().find(".preview-thank-you").addClass("hide");

        jQuery(this).parents().find(".preview-thank-you").removeClass("show");

        jQuery(this).parents().find(".preview-mobile").addClass("hide");

        jQuery(this).parents().find(".preview-mobile").removeClass("show");

        jQuery(this).parents().find("#preview-mobile").removeClass("active");

        jQuery(this).parents().find("#preview-call-to-action").removeClass("active");

        jQuery(this).parents().find("#preview-thank-you").removeClass("active");

        jQuery(this).parents().find("#preview-fan-gate").addClass("active");

    });

    jQuery("#preview-call-to-action").click(function() {

        jQuery(this).parents().find(".preview-fan-gate").addClass("hide");

        jQuery(this).parents().find(".preview-fan-gate").removeClass("show");

        jQuery(this).parents().find(".preview-call-to-action").addClass("show");

        jQuery(this).parents().find(".preview-call-to-action").removeClass("hide");

        jQuery(this).parents().find(".preview-thank-you").addClass("hide");

        jQuery(this).parents().find(".preview-thank-you").removeClass("show");

        jQuery(this).parents().find(".preview-mobile").addClass("hide");

        jQuery(this).parents().find(".preview-mobile").removeClass("show");

        jQuery(this).parents().find("#preview-mobile").removeClass("active");

        jQuery(this).parents().find("#preview-call-to-action").addClass("active");

        jQuery(this).parents().find("#preview-thank-you").removeClass("active");

        jQuery(this).parents().find("#preview-fan-gate").removeClass("active");

    });

    jQuery("#preview-thank-you").click(function() {

        jQuery(this).parents().find(".preview-fan-gate").addClass("hide");

        jQuery(this).parents().find(".preview-fan-gate").removeClass("show");

        jQuery(this).parents().find(".preview-call-to-action").addClass("hide");

        jQuery(this).parents().find(".preview-call-to-action").removeClass("show");

        jQuery(this).parents().find(".preview-thank-you").addClass("show");

        jQuery(this).parents().find(".preview-thank-you").removeClass("hide");

        jQuery(this).parents().find(".preview-mobile").addClass("hide");

        jQuery(this).parents().find(".preview-mobile").removeClass("show");

        jQuery(this).parents().find("#preview-mobile").removeClass("active");

        jQuery(this).parents().find("#preview-call-to-action").removeClass("active");

        jQuery(this).parents().find("#preview-thank-you").addClass("active");

        jQuery(this).parents().find("#preview-fan-gate").removeClass("active");

    });

    jQuery("#preview-mobile").click(function() {

        jQuery(this).parents().find(".preview-fan-gate").addClass("hide");

        jQuery(this).parents().find(".preview-fan-gate").removeClass("show");

        jQuery(this).parents().find(".preview-call-to-action").addClass("hide");

        jQuery(this).parents().find(".preview-call-to-action").removeClass("show");

        jQuery(this).parents().find(".preview-thank-you").addClass("hide");

        jQuery(this).parents().find(".preview-thank-you").removeClass("show");

        jQuery(this).parents().find(".preview-mobile").addClass("show");

        jQuery(this).parents().find(".preview-mobile").removeClass("hide");

        jQuery(this).parents().find("#preview-mobile").addClass("active");

        jQuery(this).parents().find("#preview-call-to-action").removeClass("active");

        jQuery(this).parents().find("#preview-thank-you").removeClass("active");

        jQuery(this).parents().find("#preview-fan-gate").removeClass("active");

    });

    jQuery("#tabs ul.ui-tabs-nav li").click(function() {

        jQuery(this).parents().find("#form").addClass("show");

        jQuery(this).parents().find("#form").removeClass("hide");

        jQuery(this).parents().find("#right-preview-setting").addClass("hide");

        jQuery(this).parents().find("#right-preview-setting").removeClass("show");

    });

    jQuery("#social-app").click(function() {

        jQuery(this).parents().find("#app_form").addClass("show");

        jQuery(this).parents().find("#app_form").removeClass("hide");

    });

    jQuery('.delete').click(function() {

        var link = jQuery(this);

        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {action: 'my_action', task: 'co', del: jQuery(this).attr("data-id")},
            success: function() {

                link.parent().parent().fadeOut('slow', function() {

                    jQuery(this).remove();

                });

            }

        });

    });

    });

    </script>

    <?php
}

//content

function fb_html_page() {

    global $wpdb, $msg;

    $table_name = $wpdb->prefix . "fb_app";

    $content = $wpdb->get_row("select * from " . $table_name . " where id = " . $_GET['pid']);

    $table_name = $wpdb->prefix . "fb_app_export";

    $content_export = $wpdb->get_results("select * from " . $table_name . " where id = " . $_GET['pid']);

    $upload_dir = wp_upload_dir();

    $target = $upload_dir['baseurl'] . "/";
    ?>




    <div>
        <a href="<?php echo admin_url('admin.php?page=fb-app') ?>"><h3 class="manage_app">Manage Apps</h3></a>
        <h2><?php echo $content->fb_app_name; ?></h2>

        <div id="tabs">

            <ul class="main-tab">

                <li><a href="#tabs-1">Settings</a></li>

                <li><a href="#tabs-2">Mobile</a></li>

                <li><a href="#tabs-3">Export</a></li>

            </ul>

            <div class="right-preview-setting"><a href="#" id="preview">Preview</a></div>

            <div id="right-preview-setting" class="hide">

                <ul id="menus">

                    <li><a href="#" id="preview-fan-gate" class="active">Fan Gate</a></li>

                    <li><a href="#" id="preview-call-to-action">Call to Action</a></li>

                    <li><a href="#" id="preview-thank-you">Thank You</a></li>

                    <li><a href="#" id="preview-mobile">Mobile</a></li>

                </ul>

                <div class="clear"></div>

                <div class="preview-fan-gate show">

    <?php include ('templates/tpl-preview-fan-gate.php'); ?> 

                </div>

                <div class="preview-call-to-action hide">

    <?php include ('templates/tpl-preview-call-to-action.php'); ?> 

                </div>

                <div class="preview-thank-you hide">

    <?php include ('templates/tpl-preview-thank-you.php'); ?> 

                </div>

                <div class="preview-mobile hide">

    <?php include ('templates/tpl-preview-mobile.php'); ?>  

                </div>

            </div>

            <form id="form" name="frm" method="post" action="#" enctype="multipart/form-data">

                <div id="tabs-1">

                    <div id="tab-inner">

                        <ul>

                            <li><a href="#fan-gate">Fan Gate</a></li>

                            <li><a href="#call-to-action">Call To Action</a></li>

                            <li><a href="#thank-you">Thank You</a></li>

                            <!--<li><a href="#general">General</a></li>/-->

                            <li><a href="#publish">Publish</a></li>

                        </ul>

                        <div id="fan-gate">

                            <div class="top">



                                <div class="right">

                                    <a href="#" id="fan-gate-off" title="Click To Turn It On/Off">
                                        Current Status: 
    <?php
    if ($content->fan_gate_off == 1) {
        echo "On";
    } else {
        echo "Off";
    }
    ?>

                                    </a>
    <?php
    if ($content->fan_gate_off == 1) {
        ?>
                                        <a href="#" id="fan-gate-image" class="active">Image</a>

                                        <a href="#" id="fan-gate-url">URL</a>

                                        <a href="#" id="fan-gate-html">HTML</a>
        <?php
    } else {
        ?>
                                        <a href="#" id="fan-gate-image" class="active hide">Image</a>

                                        <a href="#" id="fan-gate-url" class="hide">URL</a>

                                        <a href="#" id="fan-gate-html" class="hide">HTML</a>

        <?php
    }
    ?>



                                </div>

                                <div class="clearfix">&nbsp;</div>						

                                <div class="hide fan-gate-off">



                                    <input type="hidden" id="current_fan_gate_off" name="fan_gate_off"  value="<?php echo $content->fan_gate_off ?>"/>



                                </div>

                                <div class="show fan-gate-image">

                                    <h2>Fan Gate</h2>

                                    <p>Fan Gate Content - Shown to non-Fans. Visitors must Click LIKE to view the Call to Action Page.</p>


                                    <h3>Media Type</h3>

                                    <table>

                                        <tr>

                                            <td class="text-only">Image</td>

                                            <td>

    <?php if ($content->fan_gate_image_file != '') {
        ?>

                                                    <img src="<?php echo $target . '' . $content->fan_gate_image_file; ?>" width="150"/>&nbsp;<a href="#" id="del">Delete Image</a><br/><?php echo $content->cur_timestamp; ?>

        <?php
    } else {

        echo "<p style='padding-top:5px; margin:0;'>No Image Found</p>";
    }
    ?>

                                            </td>

                                        </tr>

                                        <tr>

                                            <td class="text-only">Upload Image</td>

                                            <td>

                                                <input type="file" name="fan_gate_image_file"/>

                                                <br/>Size 810px x 600px<br/>GIF, JPG, PNG.

                                            </td>

                                        </tr>

                                    </table>

                                </div>

                                <div class="hide fan-gate-html">

                                    <h2>Fan Gate</h2>

                                    <p>Fan Gate Content - Shown to non-Fans. Visitors must Click LIKE to view the Call to Action Page.</p>


                                    <h3>Media Type</h3>


                                    <h2>HTML Code:</h2>

                                    <p>Edit your content with the Visual Editor or enter your own custom HTML with the Text Editor.</p>

                                    <div class="clear">&nbsp;</div>

                                    <?php do_action("edit_page"); ?>

                                </div>

                                <div class="hide fan-gate-url">

                                    <h2>Fan Gate</h2>

                                    <p>Fan Gate Content - Shown to non-Fans. Visitors must Click LIKE to view the Call to Action Page.</p>


                                    <h3>Media Type</h3>	


                                    <table>

                                        <tr>

                                            <td class="text-only">Input Image URL:</td>

                                            <td>

                                                <input type="text" size="60" name="fan_gate_input_url" value="<?php echo $content->fan_gate_input_url; ?>" placeholder="http://"/>

                                                <br/>Paste or type your URL here.

                                            </td>

                                        </tr>

                                        <tr>

                                            <td class="text-only">Tab Height:</td>

                                            <td>

                                                <input type="text" size="60" name="fan_gate_tab_height" value="<?php echo $content->fan_gate_tab_height; ?>"/>

                                                <br/>Enter custom pixel height.(Default 600px)

                                            </td>

                                        </tr>

                                        <tr>

                                            <td>Scrollbars:</td>

                                            <td>

                                                <input type="radio" name="fan_gate_scrollbar" value="1" <?php
                                    if ($content->fan_gate_scrollbar == 1) {
                                        echo "checked";
                                    }
                                    ?>/>On &nbsp;&nbsp;<input type="radio" name="fan_gate_scrollbar" value="0" <?php
                                    if ($content->fan_gate_scrollbar == 0) {
                                        echo "checked";
                                    }
                                    ?>/>Off

                                            </td>

                                        </tr>

                                    </table>

                                </div>

                            </div>

                        </div>

                        <div id="call-to-action">

                            <h2>Call To Action</h2>

                            <p>Call To Action Page - Encourage your Fans to opt-in.</p>

                            <div class="clearfix">&nbsp;</div>

                            <div class="nav">

                                <ul>

                                    <li><a href="#" id="media-fb" class="active">Media</a></li>

                                    <li><a href="#" id="form-fb">Forms</a></li>

                                </ul>

                                <div class="clearfix">&nbsp;</div>

                                <hr/>

                                <div class="media-fb">

                                    <div class="media-top">

                                        <div class="left">

                                            <h3>Media Type</h3>

                                            <p></p>

                                        </div>

                                        <div class="right">

                                            <a href="#" id="media-image" class="active">Image</a>

                                            <a href="#" id="media-url">URL</a>

                                            <a href="#" id="media-html">HTML</a>

                                        </div>

                                        <div class="clearfix">&nbsp;</div>						

                                        <div class="show media-image">

                                            <table>

                                                <tr>

                                                    <td class="text-only">Image</td>

                                                    <td>

    <?php if ($content->media_image_file != '') {
        ?>

                                                            <img src="<?php echo $target . '' . $content->media_image_file; ?>" width="150"/>&nbsp;<a href="#" id="del2">Delete Image</a><br/><?php echo $content->cur_timestamp; ?>

        <?php
    } else {

        echo "<p style='padding-top:5px; margin:0;'>No Image Found</p>";
    }
    ?>

                                                    </td>

                                                </tr>

                                                <tr>

                                                    <td class="text-only">Upload Image</td>

                                                    <td>

                                                        <input type="file" name="media_image_file" />

                                                        <br/>Size 510px x 600px<br/>GIF, JPG, PNG.

                                                    </td>

                                                </tr>

                                            </table>

                                        </div>

                                        <div class="hide media-url">

                                            <p></p>

                                            <table>

                                                <tr>

                                                    <td class="text-only">Input Image URL:</td>

                                                    <td>

                                                        <input type="text" size="60" name="media_input_url" value="<?php echo $content->media_input_url; ?>" placeholder="http://"/>

                                                        <br/>Paste or type your URL here.

                                                    </td>

                                                </tr>

                                                <tr>

                                                    <td class="text-only">Tab Height:</td>

                                                    <td>

                                                        <input type="text" size="60" name="media_tab_height" value="<?php echo $content->media_tab_height; ?>"/>

                                                        <br/>Enter custom pixel height.(Default 600px)

                                                    </td>

                                                </tr>

                                                <tr>

                                                    <td>Scrollbars:</td>

                                                    <td>

                                                        <input type="radio" name="media_scrollbar" value="1" <?php
    if ($content->media_scrollbar == 1) {
        echo "checked";
    }
    ?>/>On &nbsp;&nbsp;<input type="radio" name="media_scrollbar" value="0" <?php
    if ($content->media_scrollbar == 0) {
        echo "checked";
    }
    ?>/>Off

                                                    </td>

                                                </tr>

                                            </table>

                                        </div>

                                        <div class="hide media-html">

                                            <h2>HTML Code:</h2>

                                            <p>Edit your content with the Visual Editor or enter your own custom HTML with the Text Editor.</p>

                                            <div class="clear">&nbsp;</div>

                                                        <?php do_action("edit_page2"); ?>

                                        </div>

                                    </div>

                                </div>

                                <div class="form-fb hide">

                                    <div class="clear">&nbsp;</div>

                                    <table>

                                        <tr>

                                            <td class="text-only">Form Title:</td>

                                            <td>

                                                <input type="text" size="60" name="form_title" value="<?php echo $content->form_title; ?>"/>

                                                <br/>Add a title to the top of your form.

                                            </td>

                                        </tr>

                                        <tr>

                                            <td>Form Text:</td>

                                            <td>

                                                <textarea name="form_text" rows="7" cols="80"><?php echo $content->form_text; ?></textarea>

                                                <br/>Add text to the top of your form.

                                            </td>

                                        </tr>

                                                                        <!--	<tr>

                                                                                        <td>&nbsp;</td>

                                                                                        <td>

                                                                                                

                                                                                                

                                                                                        </td>

                                                                                </tr>
                                                                        /-->
                                        <tr>

                                            <td class="text-only">Form Code:</td>

                                            <td>

                                                <textarea type="textarea" name="form_code" rows="10" cols="100"><?php echo $content->form_code; ?></textarea>

                                                <br/>Enter your autoresponder form code.

                                            </td>

                                        </tr>

                                        <tr>
                                            <td class="text-only">
                                                Name Field Text 
                                            </td>

                                            <td>
                                                <input type="text" size="60" name="form_name_field_text" value="<?php echo $content->form_name_field_text; ?>"/>
                                                <br/>Enter the inner text for name field.
                                            </td>

                                        </tr>

                                        <tr>
                                            <td class="text-only">
                                                Email Field Text 
                                            </td>

                                            <td>
                                                <input type="text" size="60" name="form_email_field_text" value="<?php echo $content->form_email_field_text; ?>"/>
                                                <br/>Enter the inner text for email field.
                                            </td>

                                        </tr>

                                        <tr>

                                            <td>Button Label</td>

                                            <td>

                                                <input type="text" size="60" name="button_label" value="<?php echo $content->form_button_label; ?>"/>
                                                <br/>Enter the text that will appear on your button.

                                            </td>

                                        </tr>

                                        <tr>

                                            <td>&nbsp;</td>

                                            <td>

                                                <h3>Official Rules</h3>

                                                <p>Enter your rules here.(Required)</p>

                                            </td>

                                        </tr>

                                        <tr>

                                            <td>Contest Rules:</td>

                                            <td>

    <?php do_action("edit_page3"); ?>

                                            </td>

                                        </tr>

                                        <tr>
                                            <td>Title & Button Color:</td>

                                            <td valin="top" align="left">

                                                <input type="text" name="form_color_sel" maxlength="6" size="6" class="my-color-field" data-default-color="#effeff" value="<?php echo $content->buttontype; ?>"/>

                                            </td>
                                        </tr>
                                    </table>

                                </div>

                            </div>

                        </div>

                        <div id="thank-you">

                            <div class="thank-you-top">



                                <h2>Thank You Page</h3>
                                    <p>Thank You Page - Displayed after the opt-in form.</p>

                                    <div class="clearfix">&nbsp;</div>
                                    <div class="nav">
                                        <ul>

                                            <li><a href="#" id="media-thanks" class="active">Media</a></li>

                                            <li><a href="#" id="form-thanks">Forms</a></li>

                                        </ul>
                                        <div class="clearfix">&nbsp;</div>
                                        <hr>
                                        <div class="media-thanks">



                                            <div class="left">


                                                <h3>Media Type</h3>

                                                <p></p>

                                            </div>


                                            <div class="right">

                                                <a href="#" id="thank-you-image" class="active">Image</a>

                                                <a href="#" id="thank-you-url">URL</a>

                                                <a href="#" id="thank-you-html">HTML</a>

                                            </div>

                                            <div class="clearfix">&nbsp;</div>

                                            <div class="show thank-you-image">

                                                <p></p>

                                                <table>

                                                    <tr>

                                                        <td class="text-only">Image</td>

                                                        <td>

    <?php if ($content->thank_you_image_file != '') {
        ?>

                                                                <img src="<?php echo $target . '' . $content->thank_you_image_file; ?>" width="150"/>&nbsp;<a href="#" id="del3">Delete Image</a><br/><?php echo $content->cur_timestamp; ?>

        <?php
    } else {

        echo "<p style='padding-top:5px; margin:0;'>No Image Found</p>";
    }
    ?>

                                                        </td>

                                                    </tr>

                                                    <tr>

                                                        <td class="text-only">Upload Image</td>

                                                        <td>

                                                            <input type="file" name="thank_you_image_file"/>

                                                            <br/>Size 510px x 600px
                                                            <br/>GIF, JPG, PNG.

                                                        </td>

                                                    </tr>



                                                </table>

                                            </div>

                                            <div class="hide thank-you-url">

                                                <table>

                                                    <tr>

                                                        <td class="text-only">Input Image URL:</td>

                                                        <td>

                                                            <input type="text" size="60" name="thank_you_input_url" value="<?php echo $content->thank_you_input_url; ?>" placeholder="http://"/>

                                                            <br/>Paste or type your URL here.

                                                        </td>

                                                    </tr>

                                                    <tr>

                                                        <td class="text-only">Tab Height:</td>

                                                        <td>

                                                            <input type="text" size="60" name="thank_you_tab_height" value="<?php echo $content->thank_you_tab_height; ?>"/>

                                                            <br/>Enter custom pixel height.(Default 600px)

                                                        </td>

                                                    </tr>

                                                    <tr>

                                                        <td>Scrollbars:</td>

                                                        <td>

                                                            <input type="radio" name="thank_you_scrollbar" id="1" <?php
    if ($content->thank_you_scrollbar == 1) {
        echo "checked";
    }
    ?>/>On &nbsp;&nbsp;<input type="radio" name="thank_you_scrollbar" id="0" <?php
    if ($content->thank_you_scrollbar == 0) {
        echo "checked";
    }
    ?>/>Off

                                                        </td>

                                                    </tr>

                                                </table>

                                            </div>

                                            <div class="hide thank-you-html">

                                                <h2>HTML Code:</h2>

                                                <p>Edit your content with the Visual Editor or enter your own custom HTML with the Text Editor.</p>

                                                <div class="clear">&nbsp;</div>

    <?php do_action("edit_page4"); ?>

                                            </div>



                                        </div>

                                        <div class="form-thanks hide">

                                            <table>
                                                            <!--<tr>

                                                                    <td class="text-only">Image Link:</td>

                                                                    <td>

                                                                            <input type="checkbox" name="thank_you_image_link_check" value="1" <?php
    if (strlen($_POST['thank_you_image_link_check']) > 0) {
        echo "checked";
    }
    ?>/>

                                                                            <input type="text" size="60" name="thank_you_image_link" value="<?php echo $content->thank_you_image_link; ?>"/>

                                                                            <br/>Check the box to activate the link and type or paste the desired URL.

                                                                    </td>

                                                            </tr>
    /-->
                                                <tr>
                                                    <td class="text-only">Title</td>

                                                    <td>
                                                        <input type="text" name="title_thank_page" size="80" value="<?php echo $content->thank_title; ?>"> 
                                                        <br>
                                                        Add a title to the top of your Thank You Page
                                                    </td>
                                                </tr>




                                                <tr>

                                                    <td class="text-only">Text</td>

                                                    <td>

                                                        <textarea type="textarea" name="thank_you_textarea" rows="10" cols="100"><?php echo $content->thank_you_textarea; ?></textarea>
                                                        <br>
                                                        Add text to your Thank You page.
                                                        <br>
                                                        Example: Thank you for entering, share this offer with your friends.

                                                    </td>

                                                </tr>



                                                                                        <!--	<tr>

                                                                                                        <td>Button:</td>

                                                                                                        <td>

                                                                                                                <input type="radio" name="thank_you_button" value="1" <?php
    if ($content->thank_you_button == 1) {
        echo "checked";
    }
    ?>/>On &nbsp;&nbsp;<input type="radio" name="thank_you_button" value="0" <?php
    if ($content->thank_you_button == 0) {
        echo "checked";
    }
    ?>/>Off

                                                                                                        </td>

                                                                                                </tr>
        /-->

                                                <tr>

                                                    <td class="text-only">Button Label:</td>

                                                    <td>

                                                        <input type="text" size="80" name="thank_you_label" value="<?php echo $content->thank_you_label; ?>"/>

                                                        <br/>Enter the text that will appear on your button.

                                                    </td>

                                                </tr>

                                                <tr>

                                                    <td class="text-only">URL:</td>

                                                    <td>

                                                        <input type="text" size="60" name="thank_you_url" value="<?php echo $content->thank_you_url; ?>"/>

                                                        <br/>Enter your URL here.

                                                    </td>

                                                </tr>

                                                <tr>
                                                    <td>Title & Button Color:</td>

                                                    <td valin="top" align="left">

                                                        <input type="text" name="thanks_form_color_sel" maxlength="6" size="6" class="my-color-field" data-default-color="#effeff" value="<?php echo $content->thank_you_button; ?>"/>

                                                    </td>
                                                </tr>

                                                <tr>
                                                    <th>Share Setting</th>
                                                </tr>
                                                <tr><td>&nbsp;</td></tr>
                                                <tr>
                                                    <td class="text-only">Share Title:</td>
                                                    <td><input type="text" name="thanks_form_share_title" size="80" value="<?php echo $content->share_title; ?>" /></td>
                                                </tr>

                                                <tr>
                                                    <td class="text-only">Share Caption</td>

                                                    <td>
                                                        <input type="text" name="share_caption" size="80" value="<?php echo $content->share_caption; ?>"> 
                                                    </td>
                                                </tr>

                                                <tr>

                                                    <td class="text-only">Share Text</td>

                                                    <td>

                                                        <textarea type="textarea" name="share_text" cols="70" rows="10"><?php echo $content->share_text; ?></textarea>

                                                        <br/>Enter the text that will appear in your share message. 

                                                    </td>

                                                </tr>



                                                <tr>

                                                    <td class="text-only">Image</td>

                                                    <td><img src="<?php echo $content->share_button_image; ?>" width="200"/><br/><?php echo $content->cur_timestamp; ?></td>

                                                </tr>

                                                <tr>

                                                    <td class="text-only">Upload Image</td>

                                                    <td>

                                                        <input type="file" name="share_button_image"/>

                                                        <br/>Minimum size required 200px x 200px GIF, JPG, PNG.

                                                    </td>

                                                </tr>


                                            </table>


                                        </div>	
                                    </div>



                            </div>

                        </div>

                        <!--	General Tab Code			<div id="general">
                        
                                                                        
                        
                                                                        <div class="nav">
                        
                                                                                <ul>
                        
                                                                                        <li><a href="#" id="share-fb" class="active">Share</a></li>
                        
                                                                                        <li><a href="#" id="reset-fb">Reset</a></li>
                        
                                                                                </ul>
                        
                                                                                <div class="clearfix">&nbsp;</div>
                        
                                                                                <hr/>
                        
                                                                                <div class="share-fb">
                        
                                                                                        <table>
                        
                                                                                                <tr>
                        
                                                                                                        <td>&nbsp;</td>
                        
                                                                                                        <td>
                        
                                                                                                                <h3>Share Setting</h3>
                        
                                                                                                                
                        
                                                                                                                <p>
                        
                                                                                                                        <input type="radio" name="share_fb" value="1" checked>ON
                        
                                                                                                                        <input type="radio" name="share_fb" value="0">OFF
                        
                                                                                                                </p>
                        
                                                                                                        </td>
                        
                                                                                                </tr>
                        
                                                                                                <tr>
                        
                                                                                                        <td class="text-only">Share Title</td>
                        
                                                                                                        <td>
                        
                                                                                                                <input type="text" size="60" name="share_title" value="<?php echo $content->share_title; ?>"/>
                        
                                                                                                                <br/>140 charactets max.
                        
                                                                                                        </td>
                        
                                                                                                </tr>
                        
                                                                                                <tr>
                        
                                                                                                        <td class="text-only">Share Text</td>
                        
                                                                                                        <td>
                        
                                                                                                                <textarea type="textarea" name="share_text" cols="70" rows="10"><?php echo $content->share_text; ?></textarea>
                        
                                                                                                                <br/>
                        
                                                                                                        </td>
                        
                                                                                                </tr>
                        
                                                                                                <tr>
                        
                                                                                                        <td class="text-only">Share Button Text</td>
                        
                                                                                                        <td>
                        
                                                                                                                <input type="text" size="60" name="share_button_text" value="<?php echo $content->share_button_text; ?>"/>
                        
                                                                                                                <br/>
                        
                                                                                                        </td>
                        
                                                                                                </tr>
                        
                                                                                                <tr>
                        
                                                                                                        <td class="text-only">Image</td>
                        
                                                                                                        <td><img src="<?php echo $target . '/' . $content->share_button_image; ?>" width="64"/><br/><?php echo $content->cur_timestamp; ?></td>
                        
                                                                                                </tr>
                        
                                                                                                <tr>
                        
                                                                                                        <td class="text-only">Upload Image</td>
                        
                                                                                                        <td>
                        
                                                                                                                <input type="file" name="share_button_image"/>
                        
                                                                                                                <br/>Size 810px x 600px
                                                                                                                <br/>GIF, JPG, PNG.
                        
                                                                                                        </td>
                        
                                                                                                </tr>
                        
                                                                                                <tr>
                        
                                                                                                        <td>&nbsp;</td>
                        
                                                                                                        <td>
                        
                                                                                                                
                        
                                                                                                                        <input type="radio" name="share_fb_automatic" value="1" <?php
    if ($content->thank_you_scrollbar == 1) {
        echo "checked";
    }
    ?>>ON
                        
                                                                                                                        <input type="radio" name="share_fb_automatic" value="0" <?php
    if ($content->thank_you_scrollbar == 0) {
        echo "checked";
    }
    ?>>OFF
                        
                                                                                                                </p>
                        
                                                                                                        </td>
                        
                                                                                                </tr>
                        
                                                                                        </table>
                        
                                                                                </div>
                        
                                                                                <div class="reset-fb hide">
                        
                                                                                        <table>
                        
                                                                                                <tr>
                        
                                                                                                        <td>&nbsp;</td>
                        
                                                                                                        <td>
                        
                                                                                                                
                        
                                                                                                        </td>
                        
                                                                                                </tr>
                        
                                                                                                <tr>
                        
                                                                                                        
                        
                                                                                                </tr>
                        
                                                                                        </table>
                        
                                                                                </div>
                        
                                                                        </div>
                        
                                                                </div>					
                                                                /-->
                        <div id="publish">

                            <h2>Publish Settings</h2>


                            <table>


                                <tr>

                                    <td class="text-only">Smart Link</td>

                                    <td>

    <?php bloginfo('siteurl'); ?>/<input type="text" size="35" name="magic_url" value="<?php echo $content->magic_url; ?>"/>

                                        <br/>
                                        User will be directed to the version of the app optimized for their device.
                                        <br>(Desktop or Mobile)
                                    </td>

                                </tr>

                                <tr>

                                    <td class="text-only">Canvas URL/Page Tab URL</td>

                                    <td>

    <?php bloginfo('siteurl'); ?>/<input type="text" size="35" name="canvas_url" value="<?php echo $content->canvas_url; ?>"/>

                                        <br/>

                                    </td>

                                </tr>

                                <tr>

                                    <td class="text-only">App ID</td>

                                    <td>

                                        <input type="text" size="60" name="publish_app_id" value="<?php echo $content->publish_app_id; ?>"/> <br/>

                                        Enter Facebook App ID

                                    </td>

                                </tr>

                        <?php
                        //print_r($content);die;
                        ?>

                                <tr>

                                    <td class="text-only">Secret Key</td>

                                    <td>

                                        <input type="text" size="60" name="publish_secret_key" value="<?php echo $content->publish_secret_key; ?>"/>

                                        <br/>

                                        Enter Facebook Secret Key

                                    </td>

                                </tr>

                                <tr>

                                    <td class="text-only">URL</td>

                                    <td>

                                                                                                                                          <input type="text" size="60" name="publish_url" value="<?php echo $content->publish_url; ?>"/> <a onclick='fb_login();
                                        return false;' class='button-primary'>Add to Page</a>

                                        <br/>



                                        <div id="fb-root"></div>



                                        <script>





                                    function addToPage() {

                                        // FB.init({appId: "631548986862482", status: true, cookie: true});

                                        // FB.init({appId: jQuery('input[name="publish_app_id"]').val(), status: true, cookie: true});

                                        // window.fbAsyncInit = function() {

                                        FB.init({
                                            appId: jQuery('input[name="publish_app_id"]').val(),
                                            oauth: true,
                                            status: true, // check login status

                                            cookie: true, // enable cookies to allow the server to access the session

                                            xfbml: true // parse XFBML

                                        });

                                        // alert();

                                        // };





                                    }



                                    function fb_login() {

                                        // FB.init({appId: jQuery('input[name="publish_app_id"]').val(), status: true, cookie: true});

                                        if (jQuery('input[name="publish_app_id"]').val() == '')

                                        {

                                            alert("Please provide a valid App ID");

                                            return false;

                                        }

                                        FB.init({
                                            appId: jQuery('input[name="publish_app_id"]').val(),
                                            oauth: true,
                                            status: true, // check login status

                                            cookie: true, // enable cookies to allow the server to access the session

                                            xfbml: true // parse XFBML

                                        });

                                        FB.login(function(response) {



                                            if (response.authResponse) {

                                                // console.log('Welcome!  Fetching your information.... ');

                                                // //console.log(response); // dump complete info

                                                // access_token = response.authResponse.accessToken; //get access token

                                                // user_id = response.authResponse.userID; //get FB UID



                                                // FB.api('/me', function(response) {

                                                //     user_email = response.email; //get user email

                                                // you can store this data into your database      

                                                $token = getAccessToken();

                                                //console.log(FB);

                                                var user_email = '';

                                                FB.api('/me', function(response) {

                                                    // console.log(response);

                                                    user_email = response.email; //get user email

                                                    // you can store this data into your database             

                                                });



                                                jQuery.ajax({
                                                    type: 'POST',
                                                    url: ajaxurl,
                                                    data: {action: 'store_auth_token', token: $token, wp_nonce: '<?php echo wp_create_nonce('mobilepress_fb_wp'); ?>', 'user_email': user_email},
                                                    success: function() {

                                                        // jQuery(img).remove();

                                                    }

                                                });

                                                // alert(event.target);

                                                // calling the API ...

                                                var obj = {
                                                    method: 'pagetab',
                                                    redirect_uri: '<?php echo get_site_url(); ?>/<?php echo $content->canvas_url; ?>/',
                                                };



                                                FB.ui(obj, function(response) {

                                                    console.log(response);

                                                    if (response != null && response.tabs_added != null) {



                                                        jQuery.each(response.tabs_added, function(pageid) {

                                                            FB.api(pageid, function(response) {

                                                                jQuery("input[name=publish_url]").attr("value", response.link + "?id=" + pageid + "&sk=app_" + jQuery("input[name=publish_app_id]").attr("value"));

                                                                // alert('redirect to ' + response.link);

                                                            });





                                                        });



                                                    }

                                                });

                                                // });



                                            } else {

                                                //user hit cancel button

                                                console.log('User cancelled login or did not fully authorize.');



                                            }

                                        }, {
                                            scope: 'email,publish_actions,manage_pages,publish_stream,offline_access,read_stream'

                                        });

                                    }

                                    function getAccessToken() {

                                        var uid;

                                        var accessToken;

                                        FB.getLoginStatus(function(response) {

                                            if (response.status === 'connected') {



                                                uid = response.authResponse.userID;

                                                accessToken = response.authResponse.accessToken;

                                            } else if (response.status === 'not_authorized') {

                                                // the user is logged in to Facebook,

                                                // but has not authenticated your app

                                            } else {

                                                // the user isn't logged in to Facebook.

                                            }

                                        });

                                        return accessToken;

                                    }



                                    (function(d) {

                                        var js, id = 'facebook-jssdk';
                                        if (d.getElementById(id)) {
                                            return;
                                        }

                                        js = d.createElement('script');
                                        js.id = id;
                                        js.async = true;

                                        js.src = "//connect.facebook.net/en_US/all.js";

                                        d.getElementsByTagName('head')[0].appendChild(js);

                                    }(document));



                                        </script>

                                    </td>

                                </tr>

                                                        <!--	<tr>

                                                                        <td>&nbsp;</td>

                                                                        <td>

                                                                                

                                                                                        <input type="radio" name="publish_radio_btn" value="1" <?php
                        if ($content->publish_radio_btn == 1) {
                            echo "checked";
                        }
                        ?>>ON

                                                                                        <input type="radio" name="publish_radio_btn" value="0" <?php
                        if ($content->publish_radio_btn == 0) {
                            echo "checked";
                        }
                        ?>>OFF

                                                                                </p>

                                                                        </td>

                                                                </tr>

                                                                <tr>

                                                                        <td class="text-only">Publish Title</td>

                                                                        <td>

                                                                                <input type="text" size="60" name="publish_title" value="<?php echo $content->publish_title; ?>"/> 

                                                                                <br/>

                                                                        </td>

                                                                </tr>

                                                                <tr>

                                                                        <td class="text-only">Publish Text</td>

                                                                        <td>

                                                                                <textarea type="textarea" name="publish_text" rows="10" cols="100"><?php echo $content->publish_text; ?></textarea><br/>

                                                                        </td>

                                                                </tr>

                                                                <tr>

                                                                        <td class="text-only">Publish Button Text</td>

                                                                        <td>

                                                                                <input type="text" size="60" name="publish_button_text" value="<?php echo $content->publish_button_text; ?>"/> 

                                                                                <br/>

                                                                        </td>

                                                                </tr>
        /-->
                            </table> 

                        </div>

                    </div>

                </div>

                <div id="tabs-2">

                    <div id="tab-inner2">

                        <ul>

                            <li><a href="#mobile-logo">Logo</a></li>

                            <li><a href="#mobile-info">Info</a></li>

                            <li><a href="#mobile-enter">Enter</a></li>

                            <li><a href="#mobile-share">Share</a></li>

                        </ul>

                        <div id="mobile-logo">

                            <!--<h2>Loading Image</h2>

                            <p>Optional Logo that will show before mobile application loads.</p>

                            <table>

                                <tr>

                                    <td>Image</td>

                                    <td><img src="<?php echo $target . '/' . $content->mobile_loading_logo_image_file; ?>" width="150"/><br/><?php echo $content->cur_timestamp; ?></td>

                                </tr>

                                <tr>

                                    <td>Upload Image</td>

                                    <td>

                                        <input type="file" name="mobile_loading_logo_image_file"/>

                                        <br/>Suggested Size 700px x 1200px. <br/>GIF, JPG, PNG.

                                    </td>

                                </tr>

                            </table>
                             /-->                   
                            <h2>Logo</h2>

                            <table>

                                <tr>

                                    <td>Image</td>

                                    <td><img src="<?php echo $target . '/' . $content->mobile_logo_image_file; ?>" width="150"/><br/><?php echo $content->cur_timestamp; ?></td>

                                </tr>

                                <tr>

                                    <td>Upload Image</td>

                                    <td>

                                        <input type="file" name="mobile_logo_image_file"/>

                                        <br/>Suggested Size 64px x 64px. <br/>GIF, JPG, PNG.

                                    </td>

                                </tr>

                            </table>

                        </div>

                        <div id="mobile-info">

                            <h2>Info</h2>

                            <p>Mobile Info Page</p>

                            <table>

                                <tr>

                                    <td>Title</td>

                                    <td>

                                        <input type="text" maxlength="22" size="60" name="mobile_info_title" value="<?php echo $content->mobile_info_title; ?>"/><br/>This will appear as the main title in the header.

                                    </td>

                                </tr>

                                <tr>

                                    <td>Sub Title</td>

                                    <td>

                                        <input type="text" maxlength="40" size="60" name="mobile_info_sub_title" value="<?php echo $content->mobile_info_sub_title; ?>"/><br/>This will appear as the sub title in the header.

                                    </td>

                                </tr>

                                <tr>

                                    <td>Image</td>

                                    <td><img src="<?php echo $target . '/' . $content->mobile_info_image_file; ?>" width="150"/><br/><?php echo $content->cur_timestamp; ?></td>

                                </tr>

                                <tr>

                                    <td>Upload Image</td>

                                    <td>

                                        <input type="file" name="mobile_info_image_file"/>

                                        <br/>Suggested Size 800px x 450px. <br/>GIF, JPG, PNG.

                                    </td>

                                </tr>

                                <tr>

                                    <td>Description</td>

                                    <td><textarea type="textarea" maxlength="500" name="mobile_info_description" rows="10" cols="100"><?php echo $content->mobile_info_description; ?></textarea><br/>Explain the promotion for users on a mobile device.</td>

                                </tr>

                            </table>

                        </div>

                        <div id="mobile-enter">

                            <h2>Enter</h2>

                            <p>Mobile Enter Page</p>

                            <table>

                                <tr>

                                    <td>Title</td>

                                    <td>

                                        <input type="text" maxlength="22" size="60" name="mobile_enter_title" value="<?php echo $content->mobile_enter_title; ?>"/><br/>This will appear as the main title in the header.

                                    </td>

                                </tr>

                                <tr>

                                    <td>Sub Title</td>

                                    <td>

                                        <input type="text" maxlength="40" size="60" name="mobile_enter_sub_title" value="<?php echo $content->mobile_enter_sub_title; ?>"/><br/>This will appear as the sub title in the header.

                                    </td>

                                </tr>

                                <tr>

                                    <td>Image</td>

                                    <td><img src="<?php echo $target . '/' . $content->mobile_enter_image_file; ?>" width="150"/><br/><?php echo $content->cur_timestamp; ?></td>

                                </tr>

                                <tr>

                                    <td>Upload Image</td>

                                    <td>

                                        <input type="file" name="mobile_enter_image_file"/>

                                        <br/>Suggested Size 800px x 450px. <br/>GIF, JPG, PNG.

                                    </td>

                                </tr>

                            </table>

                        </div>

                        <div id="mobile-share">

                            <h2>Share</h2>

                            <p>Mobile Share Page</p>

                            <table>

                                <tr>

                                    <td>Title</td>

                                    <td>

                                        <input type="text" maxlength="22" size="60" name="mobile_share_title" value="<?php echo $content->mobile_share_title; ?>"/><br/>This will appear as the main title in the header.

                                    </td>

                                </tr>

                                <tr>

                                    <td>Sub Title</td>

                                    <td>

                                        <input type="text" size="60" maxlength="40" name="mobile_share_sub_title" value="<?php echo $content->mobile_share_sub_title; ?>"/><br/>This will appear as the sub title in the header.

                                    </td>

                                </tr>

                                <tr>

                                    <td>Image</td>

                                    <td><img src="<?php echo $target . '/' . $content->mobile_share_image_file; ?>" width="150"/><br/><?php echo $content->cur_timestamp; ?></td>

                                </tr>

                                <tr>

                                    <td>Upload Image</td>

                                    <td>

                                        <input type="file" name="mobile_share_image_file"/>

                                        <br/>Suggested Size 800px x 450px. <br/>GIF, JPG, PNG.

                                    </td>

                                </tr>

                                <tr>

                                    <td>Text</td>

                                    <td>

                                        <textarea rows="10" name="mobile_share_text" cols="140" maxlength="500"><?php echo $content->mobile_share_text ?>  </textarea>
                                        <br>
                                        Add text to your Mobile Thank You page.

                                    </td>

                                </tr>

                                <tr>

                                    <td colspan="3" aling="left"><b>More Button</b></td>

                                </tr>

                                <tr>

                                    <td>URL</td>

                                    <td>

                                        <input size="60" type="text" name="mobile_more_button_link" value="<?php echo $content->mobile_more_button_link; ?>" />

                                    </td>

                                </tr>

                            </table>

                        </div>

                    </div>

                </div>

                <div id="tabs-3">

                    <a href='<?php echo admin_url("admin.php?page=fb-app&action=edit&pid=$content->id&download=csv&app_name=$content->fb_app_name"); ?>'><h3 class="manage_app">Export Emails</h3></a>
                    <table border="1">
                        <tr>
                            <th width="150px;">Name</th>
                            <th width="150px;">Email</th>
                            <th width="150px;">IP Address</th>
                        </tr>

    <?php
    for ($iCount = 0; $iCount < count($content_export); $iCount++) {
        ?>

                            <tr>
                                <td><?php echo $content_export[$iCount]->name; ?></td>
                                <td><?php echo $content_export[$iCount]->email; ?></td>
                                <td><?php echo $content_export[$iCount]->ip; ?></td>
                            </tr>

        <?php
    }
    //for($iCount=0;$iCount<count($content_export);$iCount++)
    //{
    //}
    ?>

                    </table>

                </div>			

                <div class="bottom">

                    <input type="submit" name="submit" value="Save Changes"/>

                </div>		

            </form>	

        </div>

    </div>

    <?php
}

/**

 * Redirect Smart Link for Ipad, Iphone, Ipod, Desktop, Facebook  etc...

 * */
function handle_fb_smart_link_url_fbApp() {

    global $wpdb;

    $table_name = $wpdb->prefix . "fb_app";



    if (!session_id()) {

        session_start();
    }



    $_SERVER['REQUEST_URI_PATH'] = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);

    $_SERVER['REQUEST_URI_PATH'] = trim($_SERVER['REQUEST_URI_PATH'], '/');

    $requestdomain = $_SERVER['REQUEST_URI_PATH'];

    $segments = explode('/', $_SERVER['REQUEST_URI_PATH']);

    $segments = $segments[count($segments) - 1];

    //fb share page
    if ($segments == "fbshare") {
        $segments = explode('/', $_SERVER['REQUEST_URI_PATH']);
        $segments = $segments[count($segments) - 2];

        require_once('fbshare.php');
        die;
    }
    //End

    $data = $wpdb->get_row('select * from ' . $table_name . " where magic_url='" . $segments . "'");



    $magic_url = trim($data->magic_url, '/');



    $_SESSION['data'] = $data;



    if ($magic_url != NULL && (stripos($_SERVER['REQUEST_URI'], $magic_url) !== FALSE OR stripos($_SERVER['REQUEST_URI'], '/' . $magic_url) !== FALSE)) {
        // echo $_SERVER['HTTP_USER_AGENT'];die;
        $mobile_agent = array('iphone', 'ipod', 'ipad', 'android');

        if (strstr($_SERVER['HTTP_USER_AGENT'], 'iPhone') || strstr($_SERVER['HTTP_USER_AGENT'], 'iPod') || strstr($_SERVER['HTTP_USER_AGENT'], 'iPad') || strstr($_SERVER['HTTP_USER_AGENT'], 'Android')) {

            if ('' === locate_template('templates/tpl-mobile.php', true, false))
                include ('templates/tpl-mobile.php');

            exit();
        }else {

            header("Location:" . $data->publish_url);

            exit();
        }
    } else {

        $magic_url = 'fbapp_mobile_preview_hash';

        if ($magic_url != NULL && (stripos($_SERVER['REQUEST_URI'], $magic_url) !== FALSE OR stripos($_SERVER['REQUEST_URI'], '/' . $magic_url) !== FALSE)) {

            switch ($magic_url) {

                case 'fbapp_mobile_preview_hash':

                    global $wpdb, $data;

                    $table_name = $wpdb->prefix . "fb_app";

                    if (!session_id()) {

                        session_start();
                    }

                    $pid = $_SESSION['pid'];

                    $data = $wpdb->get_row('select * from ' . $table_name . ' where id=' . $pid);

                    if ('' === locate_template('templates/tpl-mobile.php', true, false)) {

                        global $data;

                        include ('templates/tpl-mobile.php');
                    }

                    break;



                case 'fbapp_ipad_preview_hash':

                    # code...

                    break;



                default:

                    include ("main-index.php");

                    break;
            } //switch

            exit();
        } else {

            $data = $wpdb->get_row('select * from ' . $table_name . " where canvas_url='" . $segments . "'");

            if (count($data) > 0) {

                include ("main-index.php");

                exit;
            }
        }
    }
}

add_action('template_redirect', 'handle_fb_smart_link_url_fbApp', 1);





add_action('wp_ajax_store_auth_token', 'store_auth_token_fbApp');

//add js to footer

function add_jvs_footer_fbApp() {
    ?>

    <script type="text/javascript">

    jQuery(document).ready(function() {

    jQuery("div#tabs").on("click", ".ui-tabs-anchor", function() {

        var tabs = '';

        jQuery("ul.main-tab > li").each(function() {

            if (jQuery(this).hasClass('ui-tabs-active')) {

                tabs += jQuery(this).find("a").attr("href");

            }

        });

        jQuery(tabs + " ul > li").each(function() {

            if (jQuery(this).hasClass('ui-tabs-active')) {

                tabs += jQuery(this).find("a").attr("href");

            }

        });

        tabs = tabs.replace("#", "");

        setCookie('selectedtabs', tabs);

    });



    function setCookie(c_name, value, exdays) {

        var exdate = new Date();

        exdate.setDate(exdate.getDate() + exdays);

        var c_value = escape(value) + ((exdays == null) ? "" : "; expires=" + exdate.toUTCString());

        document.cookie = c_name + "=" + c_value;

    }



    function getCookie(c_name) {

        var c_value = document.cookie;

        var c_start = c_value.indexOf(" " + c_name + "=");

        if (c_start == -1) {

            c_start = c_value.indexOf(c_name + "=");

        }

        if (c_start == -1) {

            c_value = null;

        } else {

            c_start = c_value.indexOf("=", c_start) + 1;

            var c_end = c_value.indexOf(";", c_start);

            if (c_end == -1) {

                c_end = c_value.length;

            }

            c_value = unescape(c_value.substring(c_start, c_end));

        }

        return c_value;

    }



    var selectedtabs = getCookie('selectedtabs');

    if (selectedtabs) {

        selectedtabs = selectedtabs.split("#");

        setTimeout(function() {

            jQuery("#tabs").tabs("option", "active", jQuery(".main-tab a[href=#" + selectedtabs[0] + "]").parent().index());

            if (jQuery(".main-tab a[href=#" + selectedtabs[0] + "]").parent().index() == 0) {

                jQuery("#tab-inner").tabs("option", "active", jQuery("a[href=#" + selectedtabs[1] + "]").parent().index());

            } else if (jQuery(".main-tab a[href=#" + selectedtabs[0] + "]").parent().index() == 1) {

                jQuery("#tab-inner2").tabs("option", "active", jQuery("a[href=#" + selectedtabs[1] + "]").parent().index());

            }

        }, 3000);

    }

    });

    </script>

    <?php
}

//Export CSV Code
if (isset($_GET['download']) && @$_GET['download'] == "csv") {
    export_data_as_csv();
}
//End Export CSV

add_action('admin_footer', 'add_jvs_footer_fbApp');
?>