<?php

/**

 * Copyright 2011 Facebook, Inc.

 *

 * Licensed under the Apache License, Version 2.0 (the "License"); you may

 * not use this file except in compliance with the License. You may obtain

 * a copy of the License at

 *

 *     http://www.apache.org/licenses/LICENSE-2.0

 *

 * Unless required by applicable law or agreed to in writing, software

 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT

 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the

 * License for the specific language governing permissions and limitations

 * under the License.

 */





$data=readsecretsdata();



$upload_dir = wp_upload_dir();



include ('facebook/src/facebook.php');



// Create our Application instance (replace this with your appId and secret).

$facebook = new Facebook(array(

	'appId'  => $data->publish_app_id,

  	'secret' => $data->publish_secret_key,

  	'cookie' => true

));

handle_tab_added();


$signed_req = $facebook->getSignedRequest();

$liked = $signed_req['page']['liked'];



if($liked){

	if(isset($_GET['action']) && $_GET['action']=="thankyou"){
		include('facebook/thank-you.php');
	}else{
		include('facebook/user_only.php');
	}

	// header("Location:".$data->publish_url);

}else{

	if(isset($_GET['action']) && $_GET['action']=="thankyou"){
		
		include('facebook/thank-you.php');
	}else{
		include('facebook/visitor_only.php');
	}

	

	// header("Location:".$data->publish_url);

}



function handle_tab_added(){



	$taburl = 'appurl';



		if($taburl != NULL && (stripos($_SERVER['REQUEST_URI'], $taburl) !== FALSE OR stripos($_SERVER['REQUEST_URI'], '/'.$taburl) !== FALSE) && isset($_GET['tabs_added']) && current_user_can('manage_options')){

			global $wpdb;

			$table = $wpdb->prefix."fb_app_tabs";

			$appid = $_GET['appid'];

			$tabs = $_GET['tabs_added'];

			foreach ($tabs as $pageid => $val) {

				$url = 'https://graph.facebook.com/'.$pageid;

				$res = wp_remote_get( $url );

				$result = wp_remote_retrieve_body($res);

				$page = json_decode($result);



				if(isset($page->error))

					continue;

				else{

					// print_r($page);

					if(isset($page->username)){

						$link = $page->link."/app_".$appid;

					}else{

						$link = $page->link."?sk=app_".$appid; 

					}

				}

				// die;

			$data = array(

				'appid' => stripslashes($appid),

				'pageid' => stripslashes($pageid),

				'link' => $link

			);

				$wpdb->insert( $table, $data );

			}	

			die;

		}

}

function readsecretsdata(){

	global $wpdb;

	

	$_SERVER['REQUEST_URI_PATH'] = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);

	$_SERVER['REQUEST_URI_PATH']=trim($_SERVER['REQUEST_URI_PATH'],'/');

	$segments = explode('/', $_SERVER['REQUEST_URI_PATH']);

	$segments=$segments[count($segments)-1];

	$table_name = $wpdb->prefix . "fb_app";

	$data = $wpdb->get_row('select * from '.$table_name." where magic_url='".$segments."' or canvas_url='".$segments."'");

	



	if(!session_id()){

		session_start();

	}



	if(!isset($_SESSION['data'])){

		return $_SESSION['data']=$data;

	}else{

		return $_SESSION['data'];

	}

}