<?php
if( ! class_exists( 'WP_List_Table' ) ) {
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

require_once('smartlink.class.php');
?>

<div class="wrap">

	<img src="<?php echo plugin_dir_url(__FILE__)."images/logo.png"; ?>"  />

	<?php
		echo smart_link_get_msg();

		if((@$_GET['action']=="edit") && (@$_GET['id'])){
			global $wpdb;
			$table_name = $wpdb->prefix . "smart_link";

			$myrows = $wpdb->get_results( "SELECT * FROM ".$table_name." where id=".$_GET['id']);
		
		}
	?>

	<div class="newentrypoint">
		<input type="button" name="addnew" value="Add New" class="button" />

		<div class="selectniobox" <?php echo (@$_GET['action']=="edit"?'':'style="display:none;"'); ?>>
			<form action="" method="post">
			<h4><?php echo (@$_GET['action']=="edit"?'Update Link':'Add New Link'); ?></h4>
			<input type="hidden" name="action" value="savenewlink" />
			<input type="hidden" name="id" value="<?php echo @$myrows[0]->id; ?>" />
			<input type="text" name="link_title" value="<?php echo @$myrows[0]->title; ?>" placeholder="Smart Title" /> <input type="text" name="fb_link" value="<?php echo @$myrows[0]->fb_link; ?>" placeholder="Facebook Link" /> <input type="text" name="mobile_link" value="<?php echo @$myrows[0]->mobile_link; ?>" placeholder="Mobile Link" /> <input type="text" name="smart_link" value="<?php echo @$myrows[0]->smart_link; ?>" placeholder="Smart Link (Optional)" /> <input type="submit" name="generate_smart_link" class="button" <?php echo (@$_GET['action']=="edit"?'value="Update"':'value="Generate"'); ?> /> <input type="submit" name="cancel_smart_link" class="button" value="Cancel" />
			
			</form>
		</div>

		<?php
			$smart_link_list=new Smart_link_list();

			$smart_link_list->prepare_items();
			echo $smart_link_list->display();
		?>
	</div>
</div>

<style type="text/css">
	.newentrypoint{
		margin-top: 20px;
	}

	.smart_link_message{
		background-color: #D1D1EA;
   	 padding: 10px;
	}
</style>

<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery(".newentrypoint input[name=addnew]").click(function(){
			jQuery(this).css("display","none");

			jQuery(".selectniobox").css("display","block");

			return false;
		});

		jQuery("input[name=cancel_smart_link]").click(function(){
			jQuery(".newentrypoint input[name=addnew]").css("display","");

			jQuery(".selectniobox").css("display","none");

			return false;
		});
	});
</script>

<style type="text/css">
#icon-app{
	background-image: url("./images/favicon.png");
}
</style>